/**************************************************************************************************

Copyright (c) 2007   Tsunehiko Kato  and  4D2U Project, National Astronomical Observatory of Japan

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

ȉɒ߂ɏ]A{\tgEFAъ֘Ãt@Ciȉu\tgEFAvj̕擾
邷ׂĂ̐lɑ΂A\tgEFA𖳐ɈƂ𖳏ŋ܂Bɂ́A\tgEFA̕
gpAʁAύXAAfځAЕzATuCZXA/܂͔̔錠Aу\tgEFA
񋟂鑊ɓƂ錠Ɋ܂܂܂B

L̒쌠\і{\A\tgEFÂׂĂ̕܂͏dvȕɋLڂ̂Ƃ
B

\tgEFÁû܂܁vŁAł邩Öقł邩킸A̕ۏ؂Ȃ񋟂܂B
łۏ؂Ƃ́AiA̖ړIւ̓KAьNQɂĂ̕ۏ؂܂݂܂AɌ
̂ł͂܂B ҂܂͒쌠҂́A_sׁAs@sׁA܂͂ȊOł낤ƁA\t
gEFAɋN܂͊֘AA邢̓\tgEFA̎gp܂͂̑̈ɂĐ؂̐A
QȂ̋`ɂĉ̐ӔCȂ̂Ƃ܂B
***************************************************************************************************/
#ifndef __MTK_INI_FILE_H__
#define __MTK_INI_FILE_H__

//-------
//  N
//-------
extern bool bMultipleLaunch;	// dN
extern bool bFullScreenInit;	// tXN[ŏ
extern bool bEnableSystemMenu;	// VXej[\邩
extern bool bEnableMovieMake;	// [r[쐬j[\邩

//------------
//  Defaults
//------------
const int win_x1_def = 0;
const int win_y1_def = 0;
const int win_w_def = 768;
const int win_h_def = 768;
const float  screen_z_def	= 217.3f;
const float  screen_w_def	= 180.0f;
const float  z_near_def		= 30.0f;
const float  z_mid_def		= 25000.0f;
const float  obj_z_def		= 400.0f;
const float _RR0 = 2000.0f;
const float	 Clst_R00 = _RR0;
const float  g_plnt_R00 = _RR0;			// ̋k̔a
const float DT_def = 9.0;
//-- n_iV̈ʒuj--
const float  landing_lon0_def = 139.54125;
const float  landing_lat0_def = 35.6725;


//-------------
//  Functions
//-------------
void	load_ini_file(const char* computer_name);

//-----------
//  Accesor
//-----------
float	get_move_speed();
float	get_menu_pos_angle();
float	get_menu_rotate_angle();

#endif
