/**************************************************************************************************

Copyright (c) 2007   Tsunehiko Kato  and  4D2U Project, National Astronomical Observatory of Japan

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

ȉɒ߂ɏ]A{\tgEFAъ֘Ãt@Ciȉu\tgEFAvj̕擾
邷ׂĂ̐lɑ΂A\tgEFA𖳐ɈƂ𖳏ŋ܂Bɂ́A\tgEFA̕
gpAʁAύXAAfځAЕzATuCZXA/܂͔̔錠Aу\tgEFA
񋟂鑊ɓƂ錠Ɋ܂܂܂B

L̒쌠\і{\A\tgEFÂׂĂ̕܂͏dvȕɋLڂ̂Ƃ
B

\tgEFÁû܂܁vŁAł邩Öقł邩킸A̕ۏ؂Ȃ񋟂܂B
łۏ؂Ƃ́AiA̖ړIւ̓KAьNQɂĂ̕ۏ؂܂݂܂AɌ
̂ł͂܂B ҂܂͒쌠҂́A_sׁAs@sׁA܂͂ȊOł낤ƁA\t
gEFAɋN܂͊֘AA邢̓\tgEFA̎gp܂͂̑̈ɂĐ؂̐A
QȂ̋`ɂĉ̐ӔCȂ̂Ƃ܂B
***************************************************************************************************/
#include  <windows.h>
#include  <stdio.h>
#include  "mtk_ini_file.h"
#include  "mtk_switches.h"
#include  "mtk_tcp.h"
#include  "mtk_font.h"
#include  "mtk_text.h"
#include  "mtk_screen.h"
#include  "mtk_planetarium.h"
#include  "mtk_joystick.h"
#include  "mtk_title_page.h"
#include  "mtk_end_roll.h"
#include  "mtk_camera_setting.h"
#include  "mtk_directory.h"
#include  "mtk_colors.h"
#include  "mtk_movement.h"
#include  "mtk_galaxies.h"


//----------
//  Extern
//----------
//--- System ---
extern bool bIniEnablePBuffer;
//--- Window ---
extern int _win_x1, _win_y1, _win_w, _win_h, _mgn_w, _mgn_h;
extern const int win_x1_def, win_y1_def, win_w_def, win_h_def;
//--- Network ---
extern bool	bNetwork;			// ʐM邩ǂ
extern bool	bControler;			// Rg[[
//--- Mouse ---
extern bool	bMouseZoomReverse;	// Y[𔽓]
//--- Joystick ---
extern int  JoystickAxisIni[4];
extern int	JoystickButtonIni[16];
extern char szIniAxisText[4][20];
extern char szIniButtonText[16][20];
//--- Screen ---
extern const float  screen_z_def;
extern const float  screen_w_def;
extern const float  z_near_def;
extern const float  z_mid_def;
extern const float  obj_z_def;
//--- MovieMode ---
extern bool  bWindowlessVMR;
//--- Date ---
extern float g_date_pos_y;
//--- Performance ---
extern int GalaxyRayNum;		// ͌ñC̐
extern float GalaxyRayStepLen;	// ͌ñC̐ϕ̍ŏXebv
extern int GalaxyStarNum;		// ͌n̐̐
extern int TexShrinkRate;		// ǂݍݎ̏k
//---  Lighting  ---
extern float LightingAmbient;
extern float LightingAmbientDef;
//---  Earth  ---
extern float EarthSpecular;
extern float EarthSpecularDef;
extern float EarthShininess;
extern float EarthShininessDef;
extern float AtmosphereIntensity;
extern float AtmosphereIntensityDef;
extern float AtmosphereIntensityPlanetarium;
extern float AtmosphereIntensityPlanetariumDef;
extern int  EarthCityLightsIniDef;
extern bool EarthCityLightsIni;
//---  Sun  ---
extern float SunGlareSize;
extern float SunGlareSizeDef;
extern const char* szSunGlareColorDef;
extern RGBf colSunGlare;
//---  Star  ---
extern float StarImagePowIndex;
extern float StarImagePowIndexDef;
//--- Time zone ---
extern const float DT_def;
extern float DT;
//--- Landing place ---
extern char szLandingPosNameJ[256];
extern char szLandingPosNameE[256];
extern const float  landing_lon0_def;
extern const float  landing_lat0_def;
extern float  landing_lon0, landing_lat0;
extern float  landing_lon, landing_lat;
//--- Font ---
extern const char szFaceNameSB_def[];
extern const char szFaceNameMB_def[];
extern const char* szFontSizeDef;
extern float FontSize;
//--- Color ---
extern const char* szMenuTextColorDef;
extern const char* szMenuSelectColorDef;
extern const char* szMenuTitleColorDef;
extern const char* szMenuBgColor1Def;
extern const char* szMenuBgColor2Def;
extern const char* szMenuBdColorDef;
extern const char* szMenuHlColor1Def;
extern const char* szMenuHlColor2Def;
extern RGBf colMenuText, colMenuSelect, colMenuTitle;
extern RGBf colMenuBgColor1, colMenuBgColor2, colMenuBdColor;
extern RGBf colMenuHlColor1, colMenuHlColor2;
extern const char* szObjectNameSizeDef;
extern const char* szSpecialObjectNameSizeDef;
extern const char* szSatelliteNameSizeDef;
extern const char* szDwarfPlanetNameSizeDef;
extern const char* szSmallObjectNameSizeDef;
extern float ObjectNameSize, SpecialObjectNameSize, SatelliteNameSize;
extern float  DwarfPlanetNameSize, SmallObjectNameSize;
extern const char* szConstellationNameSizeDef;
extern const char* szScaleTextSizeDef;
extern const char* szScaleWidthDef;
extern const char* szDateSizeDef;
extern const char* szLocationNameSizeDef;
extern float LocationNameSize, ConstellationNameSize;
extern float ScaleTextSize, ScaleWidth, DateAlpha, gDateSize;
extern const char* szOrbitWidthDef;
extern float OrbitWidth;
//--- Menu ---
extern const char* szMenuTextSizeDef;
extern const char* szMenuCornerRDef;
extern const char* szMenuBgAlphaDef;
extern const char* szMenuBdWidthDef;
extern const char* szMenuBehindAlphaDef;
extern const char* szMenuFadingRateDef;
extern float MenuTextSize;
extern float MenuCornerR;
extern float MenuBgAlpha;
extern float MenuBdWidth;
extern float MenuBehindAlpha;
extern float MenuFadingRate;
extern float MenuTriangleDy;
extern bool  bMenuVisible;


//-------
//  N
//-------
bool bMultipleLaunch	= false;	// dN
bool bFullScreenInit	= false;	// tXN[ŏ
bool bEnableSystemMenu	= true;		// VXej[\邩
bool bEnableMovieMake	= true;		// [r[쐬j[\邩
float g_Speed = 1.0f;				// Ŝ̃Xs[h

//--------
//  Menu
//--------
float g_MenuPosAngle = 0.0;
float g_MenuRotateAngle = 0.0;


bool	load_servers_dat_file(const char* filename);


//========================
//  ini t@C̓ǂݍ
//========================
void
load_ini_file(const char* computer_name)
{
	char ini_file_name[MAX_PATH];
	sprintf(ini_file_name, "mitaka_%s.ini", computer_name);
	{
		FILE *fp = fopen(ini_file_name, "rt");
		if (fp != NULL) {
			fclose(fp);
		} else {
			strcpy(ini_file_name, "mitaka.ini");
		}
	}

	//-- ini t@C擾
    char path[MAX_PATH], file_path[MAX_PATH];
	GetCurrentDirectory(MAX_PATH , path);
	wsprintf(file_path , TEXT("%s\\%s"), path, ini_file_name);

	//-- ݒ̓ǂݍ
	char str[256], strdef[256];
	float val;

	//------------
	//  [System]
	//------------
	//-- MultipleLaunch
	int mpl;
	mpl = GetPrivateProfileInt("System", "MultipleLaunch", 0, file_path);
	bMultipleLaunch = (mpl == 1);
	//-- FullScreenInit
	int fsi;
	fsi = GetPrivateProfileInt("System", "FullScreenInit", 0, file_path);
	bFullScreenInit = (fsi == 1);
	//-- Language
	char lang;
	GetPrivateProfileString("System", "Language", "Default", str, 256, file_path);
	if		(stricmp(str, "Japanese")==0)		{ lang = LANG_KNJ;  }
	else if	(stricmp(str, "Japanese_Ruby")==0)	{ lang = LANG_HIRA; }
	else if (stricmp(str, "English")==0)		{ lang = LANG_ENG;  }
	else {
		// Locale 擾
		char buf[6];
		GetLocaleInfo(LOCALE_USER_DEFAULT, LOCALE_ILANGUAGE, buf, 5);
		if (strcmp(buf, "0411")==0) {
			lang = LANG_KNJ;
		} else {
            lang = LANG_ENG;
		}
	}
	set_language(lang);
	//-- PBuffer
	int pbfi;
	pbfi = GetPrivateProfileInt("System", "PBuffer", 0, file_path);
	bIniEnablePBuffer = (pbfi == 1);



	//-------------
	//  [Network]
	//-------------
	//-- NetworkMode
	int nwmd;
	nwmd = GetPrivateProfileInt("Network", "NetworkMode", 0, file_path);
	bNetwork = (nwmd == 1);
	//-- Controler 
	int ctrl;
	ctrl = GetPrivateProfileInt("Network", "Controler", 0, file_path);
	bControler = (bNetwork && (ctrl == 1));
	//-- TCP Port (Rg[͕svj
	TCP_PORT = GetPrivateProfileInt("Network", "Port", TCP_PORT_DEFAULT, file_path);

	//-------------------
	//  [Configuration]
	//-------------------
	//-- ScreenZ
	sprintf(strdef, "%f", screen_z_def);
	GetPrivateProfileString("Configuration", "ScreenZ", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ screen_z = val; }
	else							{ screen_z = screen_z_def; }
	//-- ScreenW
	sprintf(strdef, "%f", screen_z_def);
	GetPrivateProfileString("Configuration", "ScreenW", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ screen_w = val; }
	else							{ screen_w = screen_w_def; }
	//-- NearZ
	sprintf(strdef, "%f", z_near_def);
	GetPrivateProfileString("Configuration", "NearZ", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ z_near = val; }
	else							{ z_near = z_near_def; }
	//-- MidZ
	sprintf(strdef, "%f", z_mid_def);
	GetPrivateProfileString("Configuration", "MidZ", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ z_mid = val; }
	else							{ z_mid = z_mid_def; }
	//-- FarZ
	sprintf(strdef, "%f", z_mid_def * 8000);
	GetPrivateProfileString("Configuration", "FarZ", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ z_far2 = val; }
	else							{ z_far2 = z_mid_def * 8000; }
	//-- ObjZ
	sprintf(strdef, "%f", obj_z_def);
	GetPrivateProfileString("Configuration", "ObjZ", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ ini_obj_z = val; }
	else							{ ini_obj_z = obj_z_def; }
	ini_obj_z += screen_z;
	//-- Angle
	GetPrivateProfileString("Configuration", "Angle", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	float screen_angle = val;
	//-- EyeOffset
	GetPrivateProfileString("Configuration", "EyeOffset", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	set_eye_offset_x(val);///
	set_local_camera(screen_angle, val);
	//-- EyeCLR
	char CLR = 'C';
	char ch;
	GetPrivateProfileString("Configuration", "EyeCLR", "C", str, 255, file_path);
	if (sscanf(str, "%c", &ch) == 1) {
		if (ch=='c' || ch=='C')	CLR = 'C';
		if (ch=='l' || ch=='L')	CLR = 'L';
		if (ch=='r' || ch=='R')	CLR = 'R';
	}
	set_eye_CLR(CLR);
	//-- ScreenOffsetX
	GetPrivateProfileString("Configuration", "ScreenOffsetX", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	set_screen_offset_x(val);
	//-- TitleWidthRatio
	GetPrivateProfileString("Configuration", "TitleWidthRatio", "1.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_title_width_ratio(val); }
	else							{ set_title_width_ratio(1.0); }
	set_plnt_R(0.5*z_far2);
	//-- FadeAngleFactor
	GetPrivateProfileString("Configuration", "FadeAngleFactor", "1.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_fade_angle_factor(val); }
	else							{ set_fade_angle_factor(1.0); }

	//------------
	//  [Window]
	//------------
	_win_x1 = GetPrivateProfileInt("Window", "WinX", win_x1_def, file_path);
	_win_y1 = GetPrivateProfileInt("Window", "WinY", win_y1_def, file_path);
	_win_w  = GetPrivateProfileInt("Window", "WinW", win_w_def, file_path);
	_win_h  = GetPrivateProfileInt("Window", "WinH", win_h_def, file_path);
	_mgn_w  = GetPrivateProfileInt("Window", "MgnW", 0, file_path);
	_mgn_h  = GetPrivateProfileInt("Window", "MgnH", 0, file_path);
	// Ki
	if (_win_w <= 0)	_win_w = 1;
	if (_win_h <= 0)	_win_h = 1;
	if (_mgn_w <  0)	_mgn_w = 0;
	if (_mgn_h <  0)	_mgn_h = 0;

	//-------------
	//  Directory
	//-------------
	char szDir[MAX_PATH+1];
	//-- data
	GetPrivateProfileString("Directory", "Data", "\0", szDir, MAX_PATH, file_path);
	if (szDir[0] != '\0')  { set_directory(DIR_DATA, szDir); }
	//-- textures
	GetPrivateProfileString("Directory", "Textures", "\0", szDir, MAX_PATH, file_path);
	if (szDir[0] != '\0')  { set_directory(DIR_TEXTURES, szDir); }
	//-- media
	GetPrivateProfileString("Directory", "Media", "\0", szDir, MAX_PATH, file_path);
	if (szDir[0] != '\0')  { set_directory(DIR_MEDIA, szDir); }
	//-- spacecraft
	GetPrivateProfileString("Directory", "Spacecraft", "\0", szDir, MAX_PATH, file_path);
	if (szDir[0] != '\0')  { set_directory(DIR_SPACECRAFT, szDir); }
	//-- title
	GetPrivateProfileString("Directory", "Title", "\0", szDir, MAX_PATH, file_path);
	if (szDir[0] != '\0')  { set_directory(DIR_TITLE, szDir); }

	//----------
	//  [Mode]
	//----------
	int realtime_mode;
	realtime_mode = GetPrivateProfileInt("Mode", "RealTimeMode", 0, file_path);
	SetRealtimeMode(realtime_mode != 0);

	//---------
	//  Movie
	//---------
	int movie_mode;
	movie_mode = GetPrivateProfileInt("Movie", "Mode", 0, file_path);
	bWindowlessVMR = (movie_mode != 0);
	GetPrivateProfileString("Movie", "FadingDuration", "2.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 2.0; }
	SetMovieFadeDuration(val);

	//-----------------
	//  [Performance]
	//-----------------
	//-- Speed
	GetPrivateProfileString("Performance", "Speed", "1.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	g_Speed = val;
	//-- GalaxyRayNum
	GalaxyRayNum  = GetPrivateProfileInt("Performance", "GalaxyRayNum", 6000, file_path);
	if (GalaxyRayNum < 500)		GalaxyRayNum = 500;
	if (GalaxyRayNum > 100000)	GalaxyRayNum = 100000;
	//-- GalaxyRayStepLength
	const float ray_step_def = 40.0f;
	sprintf(strdef, "%f", ray_step_def);
	GetPrivateProfileString("Performance", "GalaxyRayStepLength", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ GalaxyRayStepLen = val; }
	else							{ GalaxyRayStepLen = ray_step_def; }
	if (GalaxyRayStepLen < 1)		GalaxyRayStepLen = 1;
	if (GalaxyRayStepLen > 1000)	GalaxyRayStepLen = 1000;
	//-- GalaxyStarNum
	GalaxyStarNum = GetPrivateProfileInt("Performance", "GalaxyStarNum", 2000, file_path);
	if (GalaxyStarNum < 0)		GalaxyStarNum = 0;
	if (GalaxyStarNum > 100000)	GalaxyStarNum = 100000;
	//-- TextureReduction
	TexShrinkRate = GetPrivateProfileInt("Performance", "TextureReduction", 1, file_path);
	if (TexShrinkRate < 1) TexShrinkRate = 1;
	if (TexShrinkRate >16) TexShrinkRate = 16;
	//-- DistantGalaxyThinning
	int thinning;
	thinning = GetPrivateProfileInt("Performance", "DistantGalaxyThinning", 0, file_path);
	SetDistantGalaxyThinning(thinning);

	//----------
	//  [Date]
	//----------
	GetPrivateProfileString("Date", "PosY", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	g_date_pos_y = val;

	//-----------
	//  [Mouse]
	//-----------
	int mzr;
	mzr = GetPrivateProfileInt("Mouse", "ZoomReverse", 0, file_path);
	bMouseZoomReverse = (mzr != 0);

	//--------------
	//  [Joystick]
	//--------------
	//---  Cӂ̃L[oCh  ---
	for (int i=0; i<4; i++) {
		JoystickAxisIni[i] = GetPrivateProfileInt("Joystick", szIniAxisText[i], i, file_path);
	}
	for (int i=0; i<16; i++) {
		JoystickButtonIni[i] = GetPrivateProfileInt("Joystick", szIniButtonText[i], i, file_path);
	}
	//---  Power Index
	GetPrivateProfileString("Joystick", "PowerIndex", "1.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	set_joystick_power_index(val);

	//-------------
	//  [Inertia]
	//-------------
	//--  TrackballMass
	GetPrivateProfileString("Inertia", "TrackballMass", "2.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	SetInputTrackballMass(val);
	//--  TrackballFriction
	GetPrivateProfileString("Inertia", "TrackballFriction", "1.5", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	SetInputTrackballFriction(val);
	//--  PlntTrackballMass
	GetPrivateProfileString("Inertia", "PlntTrackballMass", "2.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	SetInputTrackballMassPlanetarium(val);
	//--  PlntTrackballFriction
	GetPrivateProfileString("Inertia", "PlntTrackballFriction", "8.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 8.0; }
	SetInputTrackballFrictionPlanetarium(val);

	//--  ZoomLeverMass
	GetPrivateProfileString("Inertia", "ZoomLeverMass", "2.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 1.0; }
	SetInputZoomLeverMass(val);
	//--  ZoomLeverFriction
	GetPrivateProfileString("Inertia", "ZoomLeverFriction", "10.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 8.0; }
	SetInputZoomLeverFriction(val);

	//--------------
	//  [Lighting]
	//--------------
	//-- Ambient
	sprintf(strdef, "%f", LightingAmbientDef);
	GetPrivateProfileString("Lighting", "Ambient", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ LightingAmbient = val; }
	else							{ LightingAmbient = LightingAmbientDef; }

	//----------------
	//  [Earth]
	//----------------
	//-- Specular
	sprintf(strdef, "%f", EarthSpecularDef);
	GetPrivateProfileString("Earth", "Specular", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ EarthSpecular = val; }
	else							{ EarthSpecular = EarthSpecularDef; }
	//-- Shininess
	sprintf(strdef, "%f", EarthShininessDef);
	GetPrivateProfileString("Earth", "Shininess", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ EarthShininess = val; }
	else							{ EarthShininess = EarthShininessDef; }
	//-- AtmosphereIntensity
	sprintf(strdef, "%f", AtmosphereIntensityDef);
	GetPrivateProfileString("Earth", "AtmosphereIntensity", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ AtmosphereIntensity = val; }
	else							{ AtmosphereIntensity = AtmosphereIntensityDef; }
	//-- AtmosphereIntensityPlanetarium
	sprintf(strdef, "%f", AtmosphereIntensityPlanetariumDef);
	GetPrivateProfileString("Earth", "AtmosphereIntensityPlanetarium", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ AtmosphereIntensityPlanetarium = val; }
	else							{ AtmosphereIntensityPlanetarium = AtmosphereIntensityPlanetariumDef; }
	//-- CityLights
	int cl;
	cl = GetPrivateProfileInt("Earth", "CityLights", EarthCityLightsIniDef, file_path);
	EarthCityLightsIni = (cl == 1);
	if (EarthCityLightsIni) {
		char sw;
		sw = get_disp_switch( DISPSW_PLANET );
		sw |= DISPM_CITY_LIGHTS;
		set_disp_switch( DISPSW_PLANET, sw );
	}

	//----------------
	//  [Sun]
	//----------------
	//-- GlareSize
	sprintf(strdef, "%f", SunGlareSizeDef);
	GetPrivateProfileString("Sun", "GlareSize", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ SunGlareSize = val; }
	else							{ SunGlareSize = SunGlareSizeDef; }
	//-- GlareColor
	GetPrivateProfileString("Sun", "GlareColor", szSunGlareColorDef, str, 256, file_path);
	if (is_colorref(str))	{ colSunGlare = get_color_from_colorref(str); }
	else					{ colSunGlare = get_color_from_colorref(szSunGlareColorDef); }

	//----------------
	//  [Star]
	//----------------
	//-- ImagePowIndex
	sprintf(strdef, "%f", StarImagePowIndexDef);
	GetPrivateProfileString("Star", "ImagePowIndex", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ StarImagePowIndex = val; }
	else							{ StarImagePowIndex = StarImagePowIndexDef; }

	//-------------
	//  [Landing]
	//-------------
	//-- NameJ
	GetPrivateProfileString("Landing", "NameJ", "O", szLandingPosNameJ, 256, file_path);
	//-- NameE
	GetPrivateProfileString("Landing", "NameE", "Mitaka", szLandingPosNameE, 256, file_path);
	//-- Lon
	sprintf(strdef, "%f", landing_lon0_def);
	GetPrivateProfileString("Landing", "Lon", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ landing_lon0 = val; }
	else							{ landing_lon0 = landing_lon0_def; }
	landing_lon = landing_lon0;
	//-- Lat
	sprintf(strdef, "%f", landing_lat0_def);
	GetPrivateProfileString("Landing", "Lat", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ landing_lat0 = val; }
	else							{ landing_lat0 = landing_lat0_def; }
	landing_lat = landing_lat0;
	//--
	GetPrivateProfileString("Landing", "Mode", "Horizontal", str, 256, file_path);
	if (stricmp(str, "SurfaceView") == 0)	set_landing_mode(LANDING_MODE_SURFACE_VIEW);
	else									set_landing_mode(LANDING_MODE_HORIZONTAL);

	//--------------
	//  [TimeZone]
	//--------------
	//-- DT
	sprintf(strdef, "%f", DT_def);
	GetPrivateProfileString("TimeZone", "DT", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ DT = val; }
	else							{ DT = DT_def; }

	//-----------
	//  [Title]
	//-----------
	//-- TitleImageJ
	GetPrivateProfileString("Title", "TitleImageJ", "", str, 256, file_path);
	set_theater_title_image_J(str);
	//-- TitleImageE
	GetPrivateProfileString("Title", "TitleImageE", "", str, 256, file_path);
	set_theater_title_image_E(str);
	//-- TitleDuration
	sprintf(strdef, "%f", 0.6);
	GetPrivateProfileString("Title", "TitleDuration", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_title_duration(val); }
	else							{ set_title_duration(0.6); }
	//-- TitleZPosIni
	sprintf(strdef, "%f", 0.1);
	GetPrivateProfileString("Title", "TitleZPosIni", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_title_zpos_ini(val); }
	else							{ set_title_zpos_ini(0.1); }

	//----------------
	//  [CreditRoll]
	//----------------
	//-- Filename
	GetPrivateProfileString("CreditRoll", "ScriptFileNameJ", "credit_roll_J.txt", str, 256, file_path);
	set_credit_roll_filename_J(str);
	GetPrivateProfileString("CreditRoll", "ScriptFileNameE", "credit_roll_E.txt", str, 256, file_path);
	set_credit_roll_filename_E(str);
	//-- Width
	sprintf(strdef, "%f", screen_w);
	GetPrivateProfileString("CreditRoll", "Width", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_credit_roll_width(val); }
	else							{ set_credit_roll_width(screen_w); }
	//-- DY
	sprintf(strdef, "%f", 0.0);
	GetPrivateProfileString("CreditRoll", "DY", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_credit_roll_dy(val); }
	else							{ set_credit_roll_dy(0.0); }
	//-- Duration
	sprintf(strdef, "%f", 10.0);
	GetPrivateProfileString("CreditRoll", "Duration", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_credit_roll_duration(val); }
	else							{ set_credit_roll_duration(10.0); }
	//-- Angle
	sprintf(strdef, "%f", 0.0);
	GetPrivateProfileString("CreditRoll", "Angle", strdef, str, 256, file_path);
	if (sscanf(str, "%f", &val)==1)	{ set_credit_roll_angle(val); }
	else							{ set_credit_roll_angle(0.0); }

	//----------
	//  [Font]
	//----------
	GetPrivateProfileString("Font", "FaceNameSB", szFaceNameSB_def, str, 256, file_path);
	set_facename_SB(str);
	GetPrivateProfileString("Font", "FaceNameMB", szFaceNameMB_def, str, 256, file_path);
	set_facename_MB(str);
	GetPrivateProfileString("Font", "Size", "1.4", str, 256, file_path);
	float ltf_fac = 1.4;
	if (sscanf(str, "%f", &val)==1)	{ ltf_fac = val; }
	if (ltf_fac <= 0.1) ltf_fac = 0.1;
	FontSize = ltf_fac;

	//----------
	//  [Menu]
	//----------
	//-- Visible
	int sw;
	sw = GetPrivateProfileInt("Menu", "Visible", 1, file_path);
	bMenuVisible = (sw!=0);
	//-- SystemMenu
	sw = GetPrivateProfileInt("Menu", "SystemMenu", 1, file_path);
	bEnableSystemMenu = (sw!=0);
	//-- Angle
	GetPrivateProfileString("Menu", "PosAngle", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	g_MenuPosAngle = val;
	//-- Angle
	GetPrivateProfileString("Menu", "RotateAngle", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	g_MenuRotateAngle = val;
	//-- TextSize
	GetPrivateProfileString("Menu", "TextSize", szMenuTextSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuTextSize = val;
	//-- TextColor
	GetPrivateProfileString("Menu", "TextColor", szMenuTextColorDef, str, 256, file_path);
	if (is_colorref(str))	{ colMenuText = get_color_from_colorref(str); }
	else					{ colMenuText = get_color_from_colorref(szMenuTextColorDef); }
	//-- SelectColor
	GetPrivateProfileString("Menu", "SelectColor", szMenuSelectColorDef, str, 256, file_path);
	if (is_colorref(str))	{ colMenuSelect = get_color_from_colorref(str); }
	else					{ colMenuSelect = get_color_from_colorref(szMenuSelectColorDef); }
	//-- TitleColor
	GetPrivateProfileString("Menu", "TitleColor", szMenuTitleColorDef, str, 256, file_path);
	if (is_colorref(str))	{ colMenuTitle = get_color_from_colorref(str); }
	else					{ colMenuTitle = get_color_from_colorref(szMenuTitleColorDef); }
	//-- CornerR
	GetPrivateProfileString("Menu", "CornerR", szMenuCornerRDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuCornerR = val;
	//-- BgColor1
	GetPrivateProfileString("Menu", "BgColor1", szMenuBgColor1Def, str, 256, file_path);
	if (is_colorref(str))	{ colMenuBgColor1 = get_color_from_colorref(str); }
	else					{ colMenuBgColor1 = get_color_from_colorref(szMenuBgColor1Def); }
	//-- BgColor2
	GetPrivateProfileString("Menu", "BgColor2", szMenuBgColor2Def, str, 256, file_path);
	if (is_colorref(str))	{ colMenuBgColor2 = get_color_from_colorref(str); }
	else					{ colMenuBgColor2 = get_color_from_colorref(szMenuBgColor2Def); }
	//-- BgAlpha
	GetPrivateProfileString("Menu", "BgAlpha", szMenuBgAlphaDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuBgAlpha = val;
	//-- BdColor
	GetPrivateProfileString("Menu", "BdColor", szMenuBdColorDef, str, 256, file_path);
	if (is_colorref(str))	{ colMenuBdColor = get_color_from_colorref(str); }
	else					{ colMenuBdColor = get_color_from_colorref(szMenuBdColorDef); }
	//-- BdWidth
	GetPrivateProfileString("Menu", "BdWidth", szMenuBdWidthDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuBdWidth = val;
	//-- HlColor1
	GetPrivateProfileString("Menu", "HlColor1", szMenuHlColor1Def, str, 256, file_path);
	if (is_colorref(str))	{ colMenuHlColor1 = get_color_from_colorref(str); }
	else					{ colMenuHlColor1 = get_color_from_colorref(szMenuHlColor1Def); }
	//-- HlColor2
	GetPrivateProfileString("Menu", "HlColor2", szMenuHlColor2Def, str, 256, file_path);
	if (is_colorref(str))	{ colMenuHlColor2 = get_color_from_colorref(str); }
	else					{ colMenuHlColor2 = get_color_from_colorref(szMenuHlColor2Def); }
	//-- BehindAlpha
	GetPrivateProfileString("Menu", "BehindAlpha", szMenuBehindAlphaDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuBehindAlpha = val;
	//-- FadingRate
	GetPrivateProfileString("Menu", "FadingRate", szMenuFadingRateDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuFadingRate = val;
	if (MenuFadingRate < 0.1) MenuFadingRate = 0.1;
	//-- TriangleDy
	GetPrivateProfileString("Menu", "TriangleDy", "0.0", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	MenuTriangleDy = val;
	//-- FadingDuration
	GetPrivateProfileString("Menu", "FadingDuration", "0.2", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.2; }
	SetMenuFadeDuration(val);

	//---------
	//  Color
	//---------
	load_colors_from_ini_file(file_path);
	//--  ObjectNameSize
	GetPrivateProfileString("Color", "ObjectNameSize", szObjectNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	ObjectNameSize = val;
	//--  SpecialObjectNameSize
	GetPrivateProfileString("Color", "SpecialObjectNameSize", szSpecialObjectNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	SpecialObjectNameSize = val;
	//--  SatelliteNameSize
	GetPrivateProfileString("Color", "SatelliteNameSize", szSatelliteNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	SatelliteNameSize = val;
	//--  DwarfPlanetNameSize
	GetPrivateProfileString("Color", "DwarfPlanetNameSize", szDwarfPlanetNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	DwarfPlanetNameSize = val;
	//--  SmallObjectNameSize
	GetPrivateProfileString("Color", "SmallObjectNameSize", szSmallObjectNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	SmallObjectNameSize = val;
	//--  LocationNameSize
	GetPrivateProfileString("Color", "LocationNameSize", szLocationNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	LocationNameSize = val;
	//--  ConstellationNameSize
	GetPrivateProfileString("Color", "ConstellationNameSize", szConstellationNameSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	ConstellationNameSize = val;
	//--  ScaleTextSize
	GetPrivateProfileString("Color", "ScaleTextSize", szScaleTextSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	ScaleTextSize = val;
	//--  ScaleWidth
	GetPrivateProfileString("Color", "ScaleWidth", szScaleWidthDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	ScaleWidth = val;
	//--  OrbitWidth
	GetPrivateProfileString("Color", "OrbitWidth", szOrbitWidthDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	OrbitWidth = val;
	//--  DateAlpha
	GetPrivateProfileString("Color", "DateAlpha", "0.5", str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	DateAlpha = val;
	//--  DateSize
	GetPrivateProfileString("Color", "DateSize", szDateSizeDef, str, 256, file_path);
	if (sscanf(str, "%f", &val)!=1)	{ val = 0.0; }
	gDateSize = val;

	//---------------
	//  [MakeMovie]
	//---------------
	sw = GetPrivateProfileInt("MakeMovie", "Enable", 0, file_path);
	bEnableMovieMake = (sw!=0);
	GetPrivateProfileString("MakeMovie", "Type", "AVI", str, 256, file_path);
	make_movie_type = MV_AVI;
	if (stricmp(str, "TARGA") == 0)		{ make_movie_type = MV_TARGA; }
	if (stricmp(str, "TARGA6") == 0)	{ make_movie_type = MV_TARGA6; }
	if (stricmp(str, "PNG") == 0)		{ make_movie_type = MV_PNG; }
	if (stricmp(str, "PNG6") == 0)		{ make_movie_type = MV_PNG6; }
	if (stricmp(str, "CUBIC") == 0)		{ make_movie_type = MV_CUBIC; }
	char filename_def[256];
	sprintf(filename_def, "movie.avi");
	GetPrivateProfileString("MakeMovie", "FileName", filename_def, mv_filename, 256, file_path);
	sprintf(filename_def, "mv_%c_", get_eye_CLR() );
	GetPrivateProfileString("MakeMovie", "BaseFileName", filename_def, mv_basefilename, 256, file_path);

	//------------------
	//  glrc ̃t@C
	//------------------
	{
		FILE* fp;
		char fn[MAX_PATH];
		sprintf(fn, "camera_%s.cfg", computer_name);
		fp = fopen(fn, "rt");
		if (fp == NULL) {
			fp = fopen("camera.cfg", "rt");
		}
		if (fp != NULL) {
			load_glrc_cfg(fp, z_near, z_mid, z_far2);
			fclose(fp);
		}
	}

	//==================
	//  PC̓ǂݍ
	//==================
	if (bControler) {
		bool res = load_servers_dat_file("servers.dat");
		if (!res)  {
			bControler = false;
		}
	}
}


//------------------------
//  servers.dat ̓ǂݍ
//------------------------
bool
load_servers_dat_file(const char* filename)
{
	FILE *fp;
	fp = fopen(filename, "rt");
	if (fp == NULL)  return  false;

	svr_num = 0;
	int i=0;
	while (true) {
		int count;
		count =	fscanf(fp, "%s %d", szSvrName[i], &svr_port[i]);

		if (count != 2)  break;
		i++;
		if (i > svr_num_max) break;
	}
	svr_num = i;
	fclose(fp);

	return true;
}


//-------
//  擾
//-------
float
get_move_speed()
{
	return 0.7 * g_Speed;
}


float
get_menu_pos_angle()
{
	return g_MenuPosAngle;
}

float
get_menu_rotate_angle()
{
	return g_MenuRotateAngle;
}
